Subject: bug#47464: closed (Re: bug#47464: [PATCH 0/8] scripts: Allow option hint for various subcommands.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Apr 2021 12:58:01 +0000

Your bug report

#47464: [PATCH 0/8] scripts: Allow option hint for various subcommands.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47464: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=47464
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47464: [PATCH 0/8] scripts: Allow option hint for various subcommands.
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Apr 2021 14:57:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

zimoun <[email-masked]> skribis:

> The patch set replaces all the 'args-fold*' by 'parse-command-line'.  Doing
> so, all the option typos are hinted.

Yay!

> It could be only one commit (squashing) but it appeared me easier in case
> something is wrong; I expect nothing! :-)
>
> I have checked trying various combinations.  Note that
> "tests/guix-describe.sh" is SKIP because the test does not work when using
> worktree.
>
> Well, a double-check is really welcome. :-)

All the tests pass, LGTM!

> All the remaining subcommands---authenticate, container, git, import, offload
> and substitute---needs a rewriting of how they parse the command line
> arguments.

Future work.

Applied, thanks!

Ludo’.

Subject: [PATCH 0/8] scripts: Allow option hint for various subcommands.
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Mon, 29 Mar 2021 12:16:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

The patch set replaces all the 'args-fold*' by 'parse-command-line'.  Doing
so, all the option typos are hinted.

It could be only one commit (squashing) but it appeared me easier in case
something is wrong; I expect nothing! :-)

I have checked trying various combinations.  Note that
"tests/guix-describe.sh" is SKIP because the test does not work when using
worktree.

Well, a double-check is really welcome. :-)

All the remaining subcommands---authenticate, container, git, import, offload
and substitute---needs a rewriting of how they parse the command line
arguments.

Cheers,
simon

zimoun (8):
  scripts: describe: Replace 'args-fold*' by 'parse-command-line'.
  scripts: discover: Replace 'args-fold*' by 'parse-command-line'.
  scripts: download: Replace 'args-fold*' by 'parse-command-line'.
  scripts: edit: Replace 'args-fold*' by 'parse-command-line'.
  scripts: publish: Replace 'args-fold*' by 'parse-command-line'.
  scripts: repl: Replace 'args-fold*' by 'parse-command-line'.
  scripts: search: Replace 'args-fold*' by 'parse-command-line'.
  scripts: show: Replace 'args-fold*' by 'parse-command-line'.

 guix/scripts/describe.scm | 10 ++++------
 guix/scripts/discover.scm | 12 ++++++------
 guix/scripts/download.scm | 17 ++++++++---------
 guix/scripts/edit.scm     | 10 ++++------
 guix/scripts/publish.scm  | 12 ++++++------
 guix/scripts/repl.scm     | 11 +++++------
 guix/scripts/search.scm   |  9 ++++-----
 guix/scripts/show.scm     | 10 ++++------
 8 files changed, 41 insertions(+), 50 deletions(-)

base-commit: 6e7ba45357078b31a369b23f8a9f38302dfcbb10
-- 
2.30.1